<?php

namespace App\Controller\Admin;

use App\Entity\Site\Page;
use EasyCorp\Bundle\EasyAdminBundle\Config\Assets;
use EasyCorp\Bundle\EasyAdminBundle\Field\ChoiceField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextEditorField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\SovBundle\Controller\Admin\AbstractCrudController;
use Lc\SovBundle\Field\CKEditorField;
use Lc\SovBundle\Field\FileManagerField;
use Lc\SovBundle\Field\GalleryManagerField;

class PageCrudController extends AbstractCrudController
{
    public static function getEntityFqcn(): string
    {
        return Page::class;
    }

    public function configureAssets(Assets $assets): Assets
    {
        $assets->addWebpackEncoreEntry('tabler') ;
        return parent::configureAssets($assets); // TODO: Change the autogenerated stub
    }

    public function configureFields(string $pageName): iterable
    {
        return [
                TextField::new('title'),
                CKEditorField::new('description'),
                FileManagerField::new('image'),
                ChoiceField::new('status')
                        ->setChoices(['En ligne' => 1, 'Hors ligne' => 0])
                        ->setFormTypeOption('expanded', false)
                        ->setFormTypeOption('multiple', false)
                        ->setCustomOption('widget', false),
                GalleryManagerField::new('gallery'),
                TextField::new('devAlias'),

        ];
    }

}
